%define packaging_base_name 	gds-root
%define version 2.19.0
%define release 1
%define daswg   /usr
%define prefix  %{daswg}
%define withpygds 1
%if %{withpygds}
%define config_pygds --enable-python
%else
%define config_pygds --disable-python
%endif
%if %{?_verbose}%{!?_verbose:0}
# Verbose make output
%define _verbose_make 1
%else
%if 1%{?_verbose}
# Silent make output
%define _verbose_make 0
%else
# DEFAULT make output
%define _verbose_make 1
%endif
%endif

%define root_cling %(test "`root-config --has-cling`" != "yes"; echo $?)


Name: 		gds-root-extensions
Summary: 	gds-root-extensions 2.19.0
Version: 	%{version}
Release: 	%{release}%{?dist}
License: 	GPL
Group: 		LIGO Global Diagnotic Systems
Source: 	%{name}-%{version}.tar.gz
Packager: 	John Zweizig (john.zweizig@ligo.org)
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
URL: 		http://www.lsc-group.phys.uwm.edu/daswg/projects/dmt.html
BuildRequires: 	gcc, gcc-c++, glibc, automake, autoconf, libtool, m4, make
BuildRequires:  gds-base-devel >= 2.19.0
BuildRequires:  gzip
BuildRequires:  bzip2
BuildRequires:  libXpm-devel
BuildRequires:  root
BuildRequires:  readline-devel
BuildRequires:  fftw-devel
BuildRequires:  jsoncpp-devel
Requires:       jsoncpp-devel
AutoReqProv: 	  no
Provides: 	    %name
Obsoletes:	    %name < %version
Prefix:		      %prefix

%description
GDS ROOT wrappers for GDS base libraries

%package -n %{packaging_base_name}-base
Summary: 	Core shared objects
Version: 	%{version}
Group: 		LSC Software/Data Analysis

%description -n %{packaging_base_name}-base
GDS ROOT wrappers for GDS base libraries

%package -n %{packaging_base_name}-crtools
Summary: 	Core shared objects
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires:       %{name}-base = %{version}-%{release}
Requires:       gds-base-headers >= 2.19.0
Requires:       root

%description -n %{packaging_base_name}-crtools
GDS ROOT wrappers used by some control room tools

%package  -n %{packaging_base_name}-devel
Summary: 	GDS development files.
Version: 	%{version}
Group: 		LSC Software/Data Analysis

%description -n %{packaging_base_name}-devel
GDS software development files.

%prep
%setup -q

%build
PKG_CONFIG_PATH=%{daswg}/%{_lib}/pkgconfig
ROOTSYS=/usr

export PKG_CONFIG_PATH ROOTSYS
./configure  %{config_pygds} \
             --prefix=%prefix \
             --libdir=%{_libdir} \
	           --includedir=%{prefix}/include/gds \
	           --enable-online \
             --enable-dtt
make V=%{_verbose_make}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# don't distribute *.la files
[ ${RPM_BUILD_ROOT} != "/" ] && find ${RPM_BUILD_ROOT} -name "*.la" -type f -delete

%files

%files -n %{packaging_base_name}-base
%defattr(-,root,root)
%{_libdir}/libRframefast.so*
%{_libdir}/libRframeio.so*
%{_libdir}/libRgdsbase.so*
%{_libdir}/libRgdsevent.so*
%{_libdir}/libRgdscntr.so*
%{_libdir}/libRgdsmath.so*
%{_libdir}/libRgdstrig.so*
%{_libdir}/libRxsil.so*
%if %{root_cling}
%{_libdir}/libRframefast_rdict.pcm
%{_libdir}/libRframeio_rdict.pcm
%{_libdir}/libRgdsbase_rdict.pcm
%{_libdir}/libRgdsevent_rdict.pcm
%{_libdir}/libRgdscntr_rdict.pcm
%{_libdir}/libRgdsmath_rdict.pcm
%{_libdir}/libRgdstrig_rdict.pcm
%{_libdir}/libRxsil_rdict.pcm
%endif

%files -n %{packaging_base_name}-devel
%defattr(-,root,root)
%{_libdir}/libRdmtsigp.a
%{_libdir}/libRframefast.a
%{_libdir}/libRframeio.a
%{_libdir}/libRgdsbase.a
%{_libdir}/libRgdsevent.a
%{_libdir}/libRgdscntr.a
%{_libdir}/libRgdsmath.a
%{_libdir}/libRgdstrig.a
%{_libdir}/libRxsil.a

%files -n %{packaging_base_name}-crtools
%defattr(-,root,root)
%{_libdir}/libRdmtsigp.so*
%if %{root_cling}
%{_libdir}/libRdmtsigp_rdict.pcm
%endif
